import Home from './pages/Home.svelte';
import Login from './pages/login/Login.svelte';
import Signup from './pages/login/Signup.svelte';
import ResetPassword from './pages/login/ResetPassword.svelte';
import Profile from './pages/profile/Profile.svelte';
import TfaSetup from './pages/profile/TfaSetup.svelte';
import Admin from './pages/profile/Admin.svelte';
import View from './pages/View.svelte';
import ShareHome from './pages/ShareHome.svelte';

export const routes = {
    '/': Home,

    '/login': Login,
    '/signup': Signup,
    '/reset_pw': ResetPassword,

    '/profile': Profile,
    '/tfa': TfaSetup,
    '/admin': Admin,

    '/view/:id': View,

    '/share/:sid': ShareHome,
    '/share/:sid/:id': View
}
